︠4e90ff27-9a52-40b8-90bc-723be737297ai︠
%md

Create an animation showing the tangent line being approached from left.
︡abfc8f49-b7d3-4793-9b62-61b824831018︡{"done":true,"md":"\nCreate an animation showing the tangent line being approached from left."}
︠45ad8334-2084-4819-9126-5fd206cfab43io︠
from sage.plot.animate import Animation
x=var('x')
u=var('u')
w=var('w')
Background=plot(x^2,-2,2)
Times=[1-1/t for t in range(1,20)]
newTimes=[-(2*t/20) for t in range(20)]
newTimes=newTimes[::-1]
newTimes.extend(Times)
Films=[plot(((w^2-1)/(w-1))*(u-1)+1,-2,2,aspect_ratio=1/2,ymax=4,ymin=-1)+Background for w in newTimes]
a=animate(Films)
a.show()
︡cc919186-e97f-4e31-92a5-dcaa911d1565︡{"file":{"filename":"/home/user/.sage/temp/project-bf430a65-042e-40da-b283-90ede2b5ee6f/340/tmp_tLRQ6b.svg","show":true,"text":null,"uuid":"13aa966d-c8be-406e-8c51-8d9aca09a450"},"once":false}︡{"file":{"filename":"/home/user/.sage/temp/project-bf430a65-042e-40da-b283-90ede2b5ee6f/340/tmp_KcakAn.webm","show":true,"text":null,"url":"/bf430a65-042e-40da-b283-90ede2b5ee6f/raw/.sage/temp/project-bf430a65-042e-40da-b283-90ede2b5ee6f/340/tmp_KcakAn.webm"},"once":false}︡{"done":true}︡
︠62204633-2868-4b37-9109-f94d9089514f︠
@interact
def _(n=slider(int(3),int(20),1,default=int(3),label='The number of the corners $=$')):
    n=int(n)
    p1=circle((0,0),1,color='black')
    corner=[[cos(2*i*pi/n),sin(2*i*pi/n)] for i in range(n)]
    p2=polygon2d(corner,fill=False)
    show(p1+p2,axes=False)
%md
Create an animation showing the tangent line being approached from right.
︡0df05a01-9861-438a-a6cb-d9c21070cdb1︡{"done":true,"md":"Create an animation showing the tangent line being approached from right."}
︠b6b81a85-9c84-49ba-9b21-b761125abb5d︠

x=var('x')
u=var('u')
w=var('w')
Background=plot(x^2,0,4)
Times=[1+1/t for t in range(20,1,-1)]
for i in range(20): Times.append(2+2*i/20)
Times=Times[::-1]
Films=[plot(((w^2-1)/(w-1))*(u-1)+1,0,4,aspect_ratio=1/4,ymax=16,ymin=-1)+Background for w in Times]
a=animate(Films)
a.show()
︡f231684a-c6b1-4fca-885d-51510a6e5985︡{"file":{"filename":"/home/user/.sage/temp/project-bf430a65-042e-40da-b283-90ede2b5ee6f/340/tmp_ni_awK.webm","show":true,"text":null,"url":"/bf430a65-042e-40da-b283-90ede2b5ee6f/raw/.sage/temp/project-bf430a65-042e-40da-b283-90ede2b5ee6f/340/tmp_ni_awK.webm"},"once":false}︡{"done":true}︡
︠a3876d96-4553-48c0-b127-a2b8eb516db4i︠
%md

Create an animation to show the tangent line of circle
︡bd5baf77-cc8e-45f0-b0d7-f8edae798fc3︡{"done":true,"md":"\nCreate an animation to show the tangent line of circle"}
︠ba269638-1fbc-45dd-ac38-10de423dc3d2s︠
Background=circle((0,0),1)
Angles=[(pi/6+(pi/100)*n,(3*pi)/2-(pi*n)/60) for n in range(50)]
Films=[Background+plot(((sin(Angles[n][0])-sin(Angles[n][1]))/(cos(Angles[n][0])-cos(Angles[n][1])))*(x-cos(Angles[n][0]))+sin(Angles[n][0]),-1.5,1.5,ymax=1.5,ymin=-1.5,aspect_ratio=1)+point([(cos(Angles[n][0]),sin(Angles[n][0])),(cos(Angles[n][1]),sin(Angles[n][1]))],rgbcolor='red',size=20) for n in range(50)]
Films=Films+[Background+plot(-cot(2*pi/3)*(x-cos(2*pi/3))+sin(2*pi/3),-1.5,1.5,ymax=1.5,ymin=-1.5,aspect_ratio=1)+point((cos(2*pi/3),sin(2*pi/3)),rgbcolor='red',size=20)]
a=animate(Films,aspect_ratio=1)
a.show()
︡181a6ccf-59b0-4a92-a907-655ce8d40852︡{"file":{"filename":"/home/user/.sage/temp/project-bf430a65-042e-40da-b283-90ede2b5ee6f/54497/tmp_B54CVo.webm","show":true,"text":null,"url":"/bf430a65-042e-40da-b283-90ede2b5ee6f/raw/.sage/temp/project-bf430a65-042e-40da-b283-90ede2b5ee6f/54497/tmp_B54CVo.webm"},"once":false}︡{"done":true}︡
︠cb25df90-0a95-4297-b38c-ff9bf85ef37fi︠
%md

Showing the numerical data of the slopes $m_x$ for $x$ approaching $1$ from left.
︡62ef359d-2172-42b2-b3f1-3d7e018652b4︡{"done":true,"md":"\nShowing the numerical data of the slopes $m_x$ for $x$ approaching $1$ from left."}
︠77fefe22-008c-4ce2-bf7b-cc60689597d1sio︠
Times=[1-2^(-t) for t in range(1,40)]
table([(n(x,digits=10),n((1-x^2)/(1-x),digits=10)) for x in Times], header_row=["x",'The slope is (1-x^2)/(1-x)$'],frame=true)
︡d8b16b2d-9c89-4068-bf3e-e0ba5c8a2b58︡{"stdout":"+--------------+-----------------------------+\n| x            | The slope is (1-x^2)/(1-x)$ |\n+==============+=============================+\n| 0.5000000000 | 1.500000000                 |\n+--------------+-----------------------------+\n| 0.7500000000 | 1.750000000                 |\n+--------------+-----------------------------+\n| 0.8750000000 | 1.875000000                 |\n+--------------+-----------------------------+\n| 0.9375000000 | 1.937500000                 |\n+--------------+-----------------------------+\n| 0.9687500000 | 1.968750000                 |\n+--------------+-----------------------------+\n| 0.9843750000 | 1.984375000                 |\n+--------------+-----------------------------+\n| 0.9921875000 | 1.992187500                 |\n+--------------+-----------------------------+\n| 0.9960937500 | 1.996093750                 |\n+--------------+-----------------------------+\n| 0.9980468750 | 1.998046875                 |\n+--------------+-----------------------------+\n| 0.9990234375 | 1.999023438                 |\n+--------------+-----------------------------+\n| 0.9995117188 | 1.999511719                 |\n+--------------+-----------------------------+\n| 0.9997558594 | 1.999755859                 |\n+--------------+-----------------------------+\n| 0.9998779297 | 1.999877930                 |\n+--------------+-----------------------------+\n| 0.9999389648 | 1.999938965                 |\n+--------------+-----------------------------+\n| 0.9999694824 | 1.999969482                 |\n+--------------+-----------------------------+\n| 0.9999847412 | 1.999984741                 |\n+--------------+-----------------------------+\n| 0.9999923706 | 1.999992371                 |\n+--------------+-----------------------------+\n| 0.9999961853 | 1.999996185                 |\n+--------------+-----------------------------+\n| 0.9999980927 | 1.999998093                 |\n+--------------+-----------------------------+\n| 0.9999990463 | 1.999999046                 |\n+--------------+-----------------------------+\n| 0.9999995232 | 1.999999523                 |\n+--------------+-----------------------------+\n| 0.9999997616 | 1.999999762                 |\n+--------------+-----------------------------+\n| 0.9999998808 | 1.999999881                 |\n+--------------+-----------------------------+\n| 0.9999999404 | 1.999999940                 |\n+--------------+-----------------------------+\n| 0.9999999702 | 1.999999970                 |\n+--------------+-----------------------------+\n| 0.9999999851 | 1.999999985                 |\n+--------------+-----------------------------+\n| 0.9999999925 | 1.999999993                 |\n+--------------+-----------------------------+\n| 0.9999999963 | 1.999999996                 |\n+--------------+-----------------------------+\n| 0.9999999981 | 1.999999998                 |\n+--------------+-----------------------------+\n| 0.9999999991 | 1.999999999                 |\n+--------------+-----------------------------+\n| 0.9999999995 | 2.000000000                 |\n+--------------+-----------------------------+\n| 0.9999999998 | 2.000000000                 |\n+--------------+-----------------------------+\n| 0.9999999999 | 2.000000000                 |\n+--------------+-----------------------------+\n| 0.9999999999 | 2.000000000                 |\n+--------------+-----------------------------+\n| 1.000000000  | 2.000000000                 |\n+--------------+-----------------------------+\n| 1.000000000  | 2.000000000                 |\n+--------------+-----------------------------+\n| 1.000000000  | 2.000000000                 |\n+--------------+-----------------------------+\n| 1.000000000  | 2.000000000                 |\n+--------------+-----------------------------+\n| 1.000000000  | 2.000000000                 |\n+--------------+-----------------------------+\n"}︡{"done":true}︡
︠8aa1dc66-496b-4aee-aee5-3dd3b0ba9511i︠
%md

Showing the numerical data of the slopes $m_x$ for $x$ approaching $1$ from right.
︡1049439e-6a52-4103-b4bb-14ebc82711f2︡{"done":true,"md":"\nShowing the numerical data of the slopes $m_x$ for $x$ approaching $1$ from right."}
︠cb900b00-8218-474f-8348-04e68cbc9533soi︠
Times=[1+2^(-t) for t in range(1,40)]
table([(n(x,digits=10),n((1-x^2)/(1-x),digits=10)) for x in Times], header_row=["x",'The slope is (1-x^2)/(1-x)$'],frame=true)
︡c71ee565-54e9-4958-9b4b-de024e49f9cb︡{"stdout":"+-------------+-----------------------------+\n| x           | The slope is (1-x^2)/(1-x)$ |\n+=============+=============================+\n| 1.500000000 | 2.500000000                 |\n+-------------+-----------------------------+\n| 1.250000000 | 2.250000000                 |\n+-------------+-----------------------------+\n| 1.125000000 | 2.125000000                 |\n+-------------+-----------------------------+\n| 1.062500000 | 2.062500000                 |\n+-------------+-----------------------------+\n| 1.031250000 | 2.031250000                 |\n+-------------+-----------------------------+\n| 1.015625000 | 2.015625000                 |\n+-------------+-----------------------------+\n| 1.007812500 | 2.007812500                 |\n+-------------+-----------------------------+\n| 1.003906250 | 2.003906250                 |\n+-------------+-----------------------------+\n| 1.001953125 | 2.001953125                 |\n+-------------+-----------------------------+\n| 1.000976562 | 2.000976562                 |\n+-------------+-----------------------------+\n| 1.000488281 | 2.000488281                 |\n+-------------+-----------------------------+\n| 1.000244141 | 2.000244141                 |\n+-------------+-----------------------------+\n| 1.000122070 | 2.000122070                 |\n+-------------+-----------------------------+\n| 1.000061035 | 2.000061035                 |\n+-------------+-----------------------------+\n| 1.000030518 | 2.000030518                 |\n+-------------+-----------------------------+\n| 1.000015259 | 2.000015259                 |\n+-------------+-----------------------------+\n| 1.000007629 | 2.000007629                 |\n+-------------+-----------------------------+\n| 1.000003815 | 2.000003815                 |\n+-------------+-----------------------------+\n| 1.000001907 | 2.000001907                 |\n+-------------+-----------------------------+\n| 1.000000954 | 2.000000954                 |\n+-------------+-----------------------------+\n| 1.000000477 | 2.000000477                 |\n+-------------+-----------------------------+\n| 1.000000238 | 2.000000238                 |\n+-------------+-----------------------------+\n| 1.000000119 | 2.000000119                 |\n+-------------+-----------------------------+\n| 1.000000060 | 2.000000060                 |\n+-------------+-----------------------------+\n| 1.000000030 | 2.000000030                 |\n+-------------+-----------------------------+\n| 1.000000015 | 2.000000015                 |\n+-------------+-----------------------------+\n| 1.000000007 | 2.000000007                 |\n+-------------+-----------------------------+\n| 1.000000004 | 2.000000004                 |\n+-------------+-----------------------------+\n| 1.000000002 | 2.000000002                 |\n+-------------+-----------------------------+\n| 1.000000001 | 2.000000001                 |\n+-------------+-----------------------------+\n| 1.000000000 | 2.000000000                 |\n+-------------+-----------------------------+\n| 1.000000000 | 2.000000000                 |\n+-------------+-----------------------------+\n| 1.000000000 | 2.000000000                 |\n+-------------+-----------------------------+\n| 1.000000000 | 2.000000000                 |\n+-------------+-----------------------------+\n| 1.000000000 | 2.000000000                 |\n+-------------+-----------------------------+\n| 1.000000000 | 2.000000000                 |\n+-------------+-----------------------------+\n| 1.000000000 | 2.000000000                 |\n+-------------+-----------------------------+\n| 1.000000000 | 2.000000000                 |\n+-------------+-----------------------------+\n| 1.000000000 | 2.000000000                 |\n+-------------+-----------------------------+\n"}︡{"done":true}︡
︠81b03096-5456-492a-9cc7-d29fca93543fi︠
%md

Compute the average speed over a period of time.
︡bc8f0c39-aa75-4bff-8ee7-f2927ae8c459︡{"done":true,"md":"\nCompute the average speed over a period of time."}
︠131e0775-6091-4017-8830-32ff1a719eabs︠
@interact
def _(t=range_slider(0,20,default=(0,20),label='Find the average speed on the time interval$=$')):
      tt=var('tt')
      x= lambda tt: 4.9*tt^2
      average_speed=n((x(t[0])-x(t[1]))/(t[0]-t[1]),digits=10)
      print('The average speed over the time interval ({},{}) is {}').format(t[0],t[1],average_speed)
︡535d25bc-602f-4a74-a8a8-9d6db72a9f66︡{"interact":{"controls":[{"animate":true,"control_type":"range-slider","default":[0,500],"display_value":true,"label":"Find the average speed on the time interval$=$","vals":["0.0","0.04","0.08","0.12","0.16","0.2","0.24","0.28","0.32","0.36","0.4","0.44","0.48","0.52","0.56","0.6","0.64","0.68","0.72","0.76","0.8","0.84","0.88","0.92","0.96","1.0","1.04","1.08","1.12","1.16","1.2","1.24","1.28","1.32","1.36","1.4","1.44","1.48","1.52","1.56","1.6","1.64","1.68","1.72","1.76","1.8","1.84","1.88","1.92","1.96","2.0","2.04","2.08","2.12","2.16","2.2","2.24","2.28","2.32","2.36","2.4","2.44","2.48","2.52","2.56","2.6","2.64","2.68","2.72","2.76","2.8","2.84","2.88","2.92","2.96","3.0","3.04","3.08","3.12","3.16","3.2","3.24","3.28","3.32","3.36","3.4","3.44","3.48","3.52","3.56","3.6","3.64","3.68","3.72","3.76","3.8","3.84","3.88","3.92","3.96","4.0","4.04","4.08","4.12","4.16","4.2","4.24","4.28","4.32","4.36","4.4","4.44","4.48","4.52","4.56","4.6","4.64","4.68","4.72","4.76","4.8","4.84","4.88","4.92","4.96","5.0","5.04","5.08","5.12","5.16","5.2","5.24","5.28","5.32","5.36","5.4","5.44","5.48","5.52","5.56","5.6","5.64","5.68","5.72","5.76","5.8","5.84","5.88","5.92","5.96","6.0","6.04","6.08","6.12","6.16","6.2","6.24","6.28","6.32","6.36","6.4","6.44","6.48","6.52","6.56","6.6","6.64","6.68","6.72","6.76","6.8","6.84","6.88","6.92","6.96","7.0","7.04","7.08","7.12","7.16","7.2","7.24","7.28","7.32","7.36","7.4","7.44","7.48","7.52","7.56","7.6","7.64","7.68","7.72","7.76","7.8","7.84","7.88","7.92","7.96","8.0","8.04","8.08","8.12","8.16","8.2","8.24","8.28","8.32","8.36","8.4","8.44","8.48","8.52","8.56","8.6","8.64","8.68","8.72","8.76","8.8","8.84","8.88","8.92","8.96","9.0","9.04","9.08","9.12","9.16","9.2","9.24","9.28","9.32","9.36","9.4","9.44","9.48","9.52","9.56","9.6","9.64","9.68","9.72","9.76","9.8","9.84","9.88","9.92","9.96","10.0","10.04","10.08","10.12","10.16","10.2","10.24","10.28","10.32","10.36","10.4","10.44","10.48","10.52","10.56","10.6","10.64","10.68","10.72","10.76","10.8","10.84","10.88","10.92","10.96","11.0","11.04","11.08","11.12","11.16","11.2","11.24","11.28","11.32","11.36","11.4","11.44","11.48","11.52","11.56","11.6","11.64","11.68","11.72","11.76","11.8","11.84","11.88","11.92","11.96","12.0","12.04","12.08","12.12","12.16","12.2","12.24","12.28","12.32","12.36","12.4","12.44","12.48","12.52","12.56","12.6","12.64","12.68","12.72","12.76","12.8","12.84","12.88","12.92","12.96","13.0","13.04","13.08","13.12","13.16","13.2","13.24","13.28","13.32","13.36","13.4","13.44","13.48","13.52","13.56","13.6","13.64","13.68","13.72","13.76","13.8","13.84","13.88","13.92","13.96","14.0","14.04","14.08","14.12","14.16","14.2","14.24","14.28","14.32","14.36","14.4","14.44","14.48","14.52","14.56","14.6","14.64","14.68","14.72","14.76","14.8","14.84","14.88","14.92","14.96","15.0","15.04","15.08","15.12","15.16","15.2","15.24","15.28","15.32","15.36","15.4","15.44","15.48","15.52","15.56","15.6","15.64","15.68","15.72","15.76","15.8","15.84","15.88","15.92","15.96","16.0","16.04","16.08","16.12","16.16","16.2","16.24","16.28","16.32","16.36","16.4","16.44","16.48","16.52","16.56","16.6","16.64","16.68","16.72","16.76","16.8","16.84","16.88","16.92","16.96","17.0","17.04","17.08","17.12","17.16","17.2","17.24","17.28","17.32","17.36","17.4","17.44","17.48","17.52","17.56","17.6","17.64","17.68","17.72","17.76","17.8","17.84","17.88","17.92","17.96","18.0","18.04","18.08","18.12","18.16","18.2","18.24","18.28","18.32","18.36","18.4","18.44","18.48","18.52","18.56","18.6","18.64","18.68","18.72","18.76","18.8","18.84","18.88","18.92","18.96","19.0","19.04","19.08","19.12","19.16","19.2","19.24","19.28","19.32","19.36","19.4","19.44","19.48","19.52","19.56","19.6","19.64","19.68","19.72","19.76","19.8","19.84","19.88","19.92","19.96","20.0"],"var":"t","width":null}],"flicker":false,"id":"ce045514-48fc-4787-a070-c10ed706bf95","layout":[[["t",12,null]],[["",12,null]]],"style":"None"}}︡{"done":true}︡
︠ada409e0-42a5-4f73-a4fd-543cb84e8885︠
︡0d5d7d13-885f-467e-81e3-7ae885c898a8︡
︠2626c048-df1a-4ed0-9702-6a9e6aef07c0︠









